"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _cloudinary = require("../Image/cloudinary");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Background(_ref) {
  var image = _ref.image,
      src = _ref.src,
      className = _ref.className,
      children = _ref.children;
  var finalSrc = image ? (0, _cloudinary.imageFromId)(image) : src;
  if (!finalSrc) throw new Error('Background required image or src');
  return _react.default.createElement("div", {
    className: (0, _classnames.default)('bg', className)
  }, _react.default.createElement("style", {
    jsx: true
  }, "\n       .bg { background-image: url(".concat(finalSrc, "); }\n      ")), children);
}

var _default = Background;
exports.default = _default;