"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reduxForm = require("redux-form");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var SubmitButton =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(SubmitButton, _React$PureComponent);

  function SubmitButton() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, SubmitButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = SubmitButton.__proto__ || Object.getPrototypeOf(SubmitButton)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "Button", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(_ref2) {
        var handleSubmit = _ref2.handleSubmit;
        var _this$props = _this.props,
            Component = _this$props.tag,
            children = _this$props.children,
            className = _this$props.className;
        return _react.default.createElement(Component, {
          className: className,
          onClick: handleSubmit
        }, children);
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "ReduxSubmitButton", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: (0, _reduxForm.reduxForm)({
        form: _this.props.form
      })(_this.Button)
    }), _temp));
  }

  _createClass(SubmitButton, [{
    key: "render",
    value: function render() {
      var ReduxSubmitButton = this.ReduxSubmitButton;
      return (// TODO: Implement me
        _react.default.createElement(ReduxSubmitButton, {
          onSubmit: console.log
        }, this.props.children)
      );
    }
  }]);

  return SubmitButton;
}(_react.default.PureComponent);

Object.defineProperty(SubmitButton, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    tag: 'a'
  }
});
var _default = SubmitButton;
exports.default = _default;