"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _ReduxProvider = _interopRequireDefault(require("../../devHelpers/ReduxProvider"));

var _Form = _interopRequireDefault(require("./Form"));

var _Input = _interopRequireDefault(require("./Input"));

var _Select = _interopRequireDefault(require("./Select"));

var _SubmitButton = _interopRequireDefault(require("./SubmitButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var options = [{
  value: 'male',
  label: 'Male'
}, {
  value: 'female',
  label: 'Female'
}];
(0, _react2.storiesOf)('Form', module).add('default', function () {
  return _react.default.createElement(_ReduxProvider.default, null, _react.default.createElement(_Form.default, {
    name: "loginForm"
  }, _react.default.createElement(_Input.default, {
    name: "username",
    icon: "fa-user",
    label: "Username"
  }), _react.default.createElement(_Input.default, {
    name: "password",
    icon: "fa-key",
    label: "Password",
    type: "password"
  }), _react.default.createElement(_Select.default, {
    name: "gender",
    options: options,
    label: "Gender"
  }), _react.default.createElement(_SubmitButton.default, {
    form: "loginForm",
    className: "pointer pa2 bg-gray white dib"
  }, "Submit Now")));
});