"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = _interopRequireDefault(require("uppy/lib/core"));

var _Tus = _interopRequireDefault(require("uppy/lib/plugins/Tus"));

var _react2 = require("uppy/lib/react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var UploadDashboard =
/*#__PURE__*/
function (_React$Component) {
  _inherits(UploadDashboard, _React$Component);

  function UploadDashboard() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, UploadDashboard);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = UploadDashboard.__proto__ || Object.getPrototypeOf(UploadDashboard)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "state", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: {
        files: []
      }
    }), _temp));
  }

  _createClass(UploadDashboard, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      var _this2 = this;

      var _props = this.props,
          endpoint = _props.endpoint,
          onChange = _props.onChange;
      this.uppy = new _core.default({
        autoProceed: false
      }).use(_Tus.default, {
        endpoint: endpoint
      }).run();
      this.uppy.on('complete', function (result) {
        var files = _toConsumableArray(_this2.state.files).concat(_toConsumableArray(result.successful));

        _this2.setState({
          files: files
        }, function () {
          return onChange(_this2.state.files);
        });
      });
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.uppy.close();
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement(_react2.Dashboard, {
        uppy: this.uppy
      });
    }
  }]);

  return UploadDashboard;
}(_react.default.Component);

var _default = UploadDashboard;
exports.default = _default;