"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _ = _interopRequireDefault(require("./"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var theme = {
  root: 'flex flex-wrap',
  content: 'w-100 w-60-ns',
  iframe: 'aspect-ratio--16x9',
  listWrapper: 'w-100 w-40-ns h5 h-auto-ns flex flex-column bg-light-gray',
  list: 'flex flex-wrap pa2',
  itemWrapper: 'flex flex-wrap justify-center overflow-hidden ma1 w-100 pointer',
  imageWrapper: 'w-25 w-30-ns',
  image: 'aspect-ratio--4x3 w-100 bg-center cover br1',
  info: 'w-75 w-70-ns',
  titleWrapper: 'w-90 center',
  title: 'pc dark-gray f5 fw7',
  authorWrapper: 'mt2 w-90 center',
  author: 'pc dark-gray f6 fw4'
};
(0, _react2.storiesOf)('VideoPlayList', module).add('Youtube', function () {
  return _react.default.createElement(_.default, {
    theme: theme,
    items: ['https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=iOoSBvWBeP8', 'https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=0OuT-uoym5k', 'https://www.youtube.com/watch?v=iOoSBvWBeP8']
  });
});