"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _index = _interopRequireDefault(require("./index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cloudinaryImage = {
  cloudinary: {
    username: 'lh-imagecloud',
    id: 'css-code_t7qmyu.jpg'
  }
};
(0, _react2.storiesOf)('Wrapper', module).add('use image source', function () {
  return _react.default.createElement(_index.default, {
    className: "w-100",
    image: {
      src: 'https://source.unsplash.com/user/erondu/1600x900'
    }
  }, _react.default.createElement("div", {
    className: "w-100 h5 flex items-center justify-center white f3"
  }, "Hello World"));
}).add('use cloudinary image', function () {
  return _react.default.createElement(_index.default, {
    className: "w-100",
    image: cloudinaryImage
  }, _react.default.createElement("div", {
    className: "w-100 h5 flex items-center justify-center white f3"
  }, "Hello World"));
}).add('use overlay', function () {
  return _react.default.createElement(_index.default, {
    className: "w-100",
    overlayColor: "rgba(0, 0, 0, 0.5)"
  }, _react.default.createElement("div", {
    className: "w-100 h5 flex items-center justify-center white f3"
  }, "Hello World"));
}).add('use image & overlay', function () {
  return _react.default.createElement(_index.default, {
    className: "w-100",
    image: cloudinaryImage,
    overlayColor: "rgba(0, 0, 0, 0.5)"
  }, _react.default.createElement("div", {
    className: "w-100 h5 flex items-center justify-center white f3"
  }, "Hello World"));
});