"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _configureStore = _interopRequireDefault(require("./configureStore"));

var _reducer = _interopRequireDefault(require("./reducer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var store = (0, _configureStore.default)({
  reducer: _reducer.default
});

function ReduxProvider(_ref) {
  var children = _ref.children;
  return _react.default.createElement(_reactRedux.Provider, {
    store: store
  }, children);
}

var _default = ReduxProvider;
exports.default = _default;