"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(_ref) {
  var id = _ref.id,
      _ref$options = _ref.options,
      options = _ref$options === void 0 ? [] : _ref$options;

  if (!options || options.length === 0) {
    return "https://img.connected.com.vn/image/".concat(id, "/image.jpg");
  }

  var imgSrc = "https://img.connected.com.vn/image/{transform}/".concat(id, "/image.jpg");
  var transform = '';
  transform += transform ? ":".concat(options.map(function (t) {
    return t;
  }).join(',')) : options.map(function (t) {
    return t;
  }).join(',');
  transform.replace(/^(:)/, '');
  imgSrc = imgSrc.replace(/\{transform\}/, transform);
  return imgSrc;
}