// @flow

import React, { PureComponent } from 'react'
import FacebookProvider, { Comments } from 'react-facebook'

const appId = '1777840182229123'

class FbCommentsWidget extends PureComponent<TFbCommentsWidget, any> {
  render() {
    const { href, theme = {}, ...rest } = this.props
    return (
      <div data-component="FbCommentsWidget" className={theme.root}>
        <FacebookProvider appId={appId}>
          <Comments className={theme.content} href={href} {...rest} />
        </FacebookProvider>
      </div>
    )
  }
}

export default FbCommentsWidget
