// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import Image from './index'

const src = 'https://source.unsplash.com/user/erondu/1600x900'
storiesOf('Image', module)
  .add('Use Source', () => (
    <div>
      <Image src={src} />
    </div>
  ))
  .add('Use Cloudinary (in box with size = 200x200)', () => (
    <div className="center" style={{ width: 200, height: 200 }}>
      <Image
        image={{
          public_id: 'css-code_t7qmyu.jpg',
        }}
      />
    </div>
  ))
