// @flow

import React from 'react'
import { Provider } from 'react-redux'
import configureStore from './configureStore'
import reducer from './reducer'

const store = configureStore({ reducer })

function ReduxProvider({ children }: { children: any }) {
  return <Provider store={store}>{children}</Provider>
}

export default ReduxProvider
