// @flow

export default function ({
  id,
  options = [],
}: {
  id: string,
  options?: Array<string>,
}) {
  if (!options || options.length === 0) { return `https://img.connected.com.vn/image/${id}/image.jpg` }
  let imgSrc = `https://img.connected.com.vn/image/{transform}/${id}/image.jpg`
  let transform = ''
  transform += transform
    ? `:${options.map(t => t).join(',')}`
    : options.map(t => t).join(',')
  transform.replace(/^(:)/, '')
  imgSrc = imgSrc.replace(/\{transform\}/, transform)
  return imgSrc
}
