"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _Text = _interopRequireDefault(require("../Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function IconItem(_ref) {
  var icon = _ref.icon,
      title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "IconItem",
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.iconWrapper
  }, _react.default.createElement(_Icon.default, {
    icon: icon,
    className: theme.icon
  })), _react.default.createElement("div", {
    className: theme.contentWrapper
  }, title && _react.default.createElement(_Text.default, {
    "data-element": "Title",
    className: theme.title,
    wrapperClassName: theme.titleWrapper
  }, title), subtitle && _react.default.createElement(_Text.default, {
    "data-element": "Subtitle",
    className: theme.subtitle,
    wrapperClassName: theme.subtitleWrapper
  }, subtitle), description && _react.default.createElement(_Text.default, {
    "data-element": "Description",
    className: theme.description,
    wrapperClassName: theme.descriptionWrapper
  }, description)));
}

var _default = IconItem;
exports.default = _default;