"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _ = _interopRequireDefault(require("./"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react2.storiesOf)('Nav', module).add('Use Source', function () {
  return _react.default.createElement("div", null, _react.default.createElement(_.default, {
    theme: {
      root: 'bg-black-50 h3 white flex items-center pa2'
    }
  }, "This is Nav content"), _react.default.createElement("div", {
    className: "vh-100 bg-light-gray"
  }, " This is the long content"), _react.default.createElement("div", {
    className: "vh-100 bg-near-white"
  }, " This is another long content"));
}).add('Hide when scroll down 200', function () {
  return _react.default.createElement("div", null, _react.default.createElement(_.default, {
    hideOn: 200,
    theme: {
      root: 'fixed w-100 bg-black-50 h3 white flex items-center pa2'
    }
  }, "This Nav will be hide when scroll to 200"), _react.default.createElement(_.default, {
    showOn: 300,
    animation: false,
    showOnInit: false,
    theme: {
      root: 'fixed w-100 bg-white-50 h3 dark-gray flex items-center pa2'
    }
  }, "This Nav will be show when scroll to 300"), _react.default.createElement("div", {
    className: "vh-100 bg-light-gray"
  }, " This is the long content"), _react.default.createElement("div", {
    className: "vh-100 bg-near-white"
  }, " This is another long content"));
});