"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Section(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      children = _ref.children,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.header
  }, _react.default.createElement("h3", {
    className: theme.title
  }, title), _react.default.createElement("h4", {
    className: theme.subtitle
  }, subtitle)), _react.default.createElement("div", {
    className: theme.seperator
  }), _react.default.createElement("div", {
    className: theme.body
  }, children));
}

var _default = Section;
exports.default = _default;