"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
exports.youtube = void 0;

var youtube = function youtube(url) {
  var regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/;
  var match = url.match(regExp);

  if (match && match[2].length === 11) {
    return "//www.youtube.com/embed/".concat(match[2]);
  }

  return null;
}; // NOTE: get more url embed


exports.youtube = youtube;

function _default(_ref) {
  var url = _ref.url;
  if (youtube(url)) return youtube(url);
  return url;
}