// @flow

export const youtube = (url: string) => {
  const regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/
  const match = url.match(regExp)
  if (match && match[2].length === 11) {
    return `//www.youtube.com/embed/${match[2]}`
  }
  return null
}

// NOTE: get more url embed
export default function ({ url }: { url: string }) {
  if (youtube(url)) return youtube(url)
  return url
}
